//                                               -*- C++ -*-
/**
 *  @file  OT.hxx
 *  @brief The external header file of Open TURNS
 *
 *  (C) Copyright 2005-2012 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  @author: $LastChangedBy: schueller $
 *  @date:   $LastChangedDate: 2012-02-17 19:35:43 +0100 (Fri, 17 Feb 2012) $
 *  Id:      $Id: OT.hxx 2392 2012-02-17 18:35:43Z schueller $
 */

#ifndef OPENTURNS_OT_HXX
#define OPENTURNS_OT_HXX

/*
 * This include defines the configuration flags.
 */
#include "OTconfig.hxx"


/*
 * This include defines the debug level in all source code.
 */
#include "OTdebug.h"

/*
 * The OTtypes.hxx header file contains all type declarations used by
 * the Open TURNS platform.
 */
#include "OTtypes.hxx"

/*
 * The OTmemory.hxx header file declares some debugging memory functions
 */
#include "OTmemory.hxx"

/**
 * Here is the list of all classes belonging to the external API of Open TURNS
 * @todo List the classes belonging to the external API of Open TURNS
 */
#include "OTBase.hxx"
#include "OTUncertainty.hxx"

#endif /* OPENTURNS_OT_HXX */
