//                                               -*- C++ -*-
/**
 *  @file  SamplingStrategy.hxx
 *  @brief
 *
 *  (C) Copyright 2005-2012 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  @author: $LastChangedBy: schueller $
 *  @date:   $LastChangedDate: 2012-02-17 19:35:43 +0100 (Fri, 17 Feb 2012) $
 *  Id:      $Id: SamplingStrategy.hxx 2392 2012-02-17 18:35:43Z schueller $
 */
#ifndef OPENTURNS_SAMPLINGSTRATEGY_HXX
#define OPENTURNS_SAMPLINGSTRATEGY_HXX

#include "TypedInterfaceObject.hxx"
#include "SamplingStrategyImplementation.hxx"
#include "TypedInterfaceObject.hxx"

BEGIN_NAMESPACE_OPENTURNS



/**
 * @class SamplingStrategy
 */

class SamplingStrategy
  : public TypedInterfaceObject<SamplingStrategyImplementation>
{

  CLASSNAME;

public:

  /** Default constructor */
  explicit SamplingStrategy();

  /** Constructor with parameters */
  SamplingStrategy(const SamplingStrategyImplementation & implementation);

  /** Constructor with parameters */
  SamplingStrategy(Implementation & p_implementation);

  /** Constructor with parameters */
  explicit SamplingStrategy(const UnsignedLong dimension);


  /** Generate a set of directions */
  NumericalSample generate() const;

  /** Dimension accessor */
  void setDimension(const UnsignedLong dimension);
  UnsignedLong getDimension() const;

  /** String converter */
  String __repr__() const;

} ; /* class SamplingStrategy */

END_NAMESPACE_OPENTURNS

#endif /* OPENTURNS_SAMPLINGSTRATEGY_HXX */
